List Gitea Repositories
curl --request POST \
--url https://cloud.kaneo.app/api/gitea-integration/repositories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"baseUrl": "<string>",
"accessToken": "<string>"
}
'import requests
url = "https://cloud.kaneo.app/api/gitea-integration/repositories"
payload = {
"baseUrl": "<string>",
"accessToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({baseUrl: '<string>', accessToken: '<string>'})
};
fetch('https://cloud.kaneo.app/api/gitea-integration/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"repositories": [
{
"id": 123,
"name": "<string>",
"full_name": "<string>",
"owner": {
"login": "<string>"
},
"private": true,
"html_url": "<string>"
}
]
}Gitea
List Gitea Repositories
List repositories accessible with a Gitea token
POST
/
gitea-integration
/
repositories
List Gitea Repositories
Was this page helpful?
⌘I